Skip to navigation

Retrieve a list of ATS teams

Lists the active teams in the Applicant Tracking System; archived teams are included only when requested. Use it to find the team ids to filter GET /rest/ats/jobs or GET /rest/ats/openings by team.

Token scopes: ats:read, worker:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response
include_archivedstringOptional

If true, archived teams are included in the response; they are excluded by default

Response

Successful response with teams data
datalist of objects
Page of resources.
has_moreboolean
Indicates if there are more teams available
next_cursorstring or null
Cursor for pagination to get the next set of results
total_countinteger>=0
Total number of teams available

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error